%global with_python3 0
%global srcname betamax

Name:           python-%{srcname}
Version:        0.7.1
Release:        1%{?dist}
Summary:        VCR imitation for python-requests

License:        ASL 2.0
URL:            https://github.com/sigmavirus24/%{srcname}
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-requests
Requires:       python-requests

%global _description \
Betamax is a VCR_ imitation for requests. This will make mocking out requests\
much easier.

%description %{_description}

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-requests
Requires:       python3-requests

%description -n python3-%{srcname} %{_description}

Python 3 version.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
%py3_install
%endif

%files -n python-%{srcname}
%doc README.rst
%license LICENSE
%{python_sitelib}/%{srcname}/
%{python_sitelib}/%{srcname}-*.egg-info/

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-*.egg-info/
%endif

%changelog
* Wed Jan 24 2018 Parag Nemade <pnemade AT redhat DOT com> - 0.7.1-1
- Initial packaging
